跳到主要内容

转账

当用户执行或接收转账时,转账数据应发送给 QI Tech。这样,可以根据该数据集对交易所涉及的风险进行分析。

转账对象定义

Request Body
{
"id": "082373263",
"wire_transfer_direction": "received",
"wire_transfer_type": "ted",
"amount": 13725,
"wire_transfer_date": "2020-10-07T15:06:25-03:00",
"face_recognition_key": "ef39e206-13d5-48de-b368-6c3bbc6f0222",
"validation_key": "69a59de3-0198-4a26-933a-c1de624c147d",
"client": {
"type": "natural_person",
"id": "123456",
"document_number": "056.966.649-03",
"name": "Francisco Oliveira Benedetti",
"address": {
"street": "Avenida 13",
"number": "704",
"neighbourhood": "Centro",
"city": "Ituiutaba",
"uf": "MG",
"complement": "Apt 1101",
"postal_code": "38300-140"
},
"phone": {
"international_dial_code": "55",
"area_code": "16",
"number": "981610077",
"type": "mobile"
},
"email": "mailto@qitech.com.br",
"sales_channel": "inbound_sales",
"segment": "Personalité"
},
"source_account": {
"participant": "17315359",
"branch": "0000",
"account_number": "10442",
"account_digit": "6",
"owner": {
"type": "legal_person",
"document_number": "07.487.735/0001-69",
"name": "Gioconda Pizzaria e Rotisseria LTDA."
},
"account_type": "CACC",
"opening_date": "2020-01-15T18:00:00-03:00"
},
"destination_account": {
"participant": "60701190",
"branch": "3675",
"account_number": "10442",
"account_digit": "6",
"owner": {
"type": "natural_person",
"document_number": "056.966.649-03",
"name": "Francisco Oliveira Benedetti"
},
"account_type": "SLRY",
"opening_date": "2020-01-15T18:00:00-03:00"
},
"source": {
"channel": "internet_banking",
"platform": "android",
"ip": "198.185.065.098",
"session_id": "7839jdqd9a8wd9"
}
}

转账必须在转发到处理系统之前发送到 API,以便进行预先欺诈验证。

转账状态表示模型对该转账返回的决策。以下状态用于 analysis_status 标志:

  • automatically_approved
  • automatically_reproved
  • in_manual_analysis
  • pending

以下是 analysis_status 标志中返回的每个决策的含义:

状态描述
automatically_approved建议批准此转账。
automatically_reproved建议拒绝此转账。
in_manual_analysis建议由分析师对该转账进行人工分析。
pending转账正在处理中。
名称类型描述
idstring客户系统中交易的标识符。
此编号对每笔转账必须唯一
wire_transfer_direction枚举注册转账的方式。定义客户是收款还是付款。
wire_transfer_type枚举执行的转账类型,可以是 TED、DOC 或同一机构内账户间的内部转账。
amount整数转账金额(分)——如"标准"部分所述。
wire_transfer_datedatetime转账开始的日期和时间,含时区。
face_recognition_keystring面部识别密钥,如果已通过我们的面部识别 API 进行面部识别。
validation_keystring验证密钥,如果已通过我们的验证 API 对客户进行验证测试。
clientclient表示客户数据的对象,无论是执行转账的客户还是接收方。
source_accountsource_account表示被扣款账户数据的对象。
destination_accountdestination_account表示被入账账户数据的对象。
sourcesourceSource 类型的对象,描述用于发送转账的应用程序信息

wire_transfer_direction 的枚举值为:sentreceived

wire_transfer_type 的枚举值为:teddocinternal_transfer

发送转账

Request Body
  {
"id": "12345",
...
}
Response Body
  {
"wire_transfer_key": "13d680ef-4b72-4cb2-a63d-cf3d790abaaf",
"status": "automatically_approved",
"reason": "rule_decision_enum"
}

要评估转账,只需将 Wire Transfer 类型的对象发送到以下端点:

POST https://api.caas.qitech.app/wire_transfer/wire_transfer

查询转账

Response Body
  {
"id": "082373263",
"wire_transfer_direction": "received",
...
}

要检索转账数据,只需向以下端点发送请求:

GET https://api.caas.qitech.app/wire_transfer/wire_transfer/{wire_transfer_id}

其中 wire_transfer_id 是发送转账时在客户系统中使用的交易标识符。

更新转账

Request Body
  {
"wire_transfer_status": "completed",
"event_date": "2020-10-07T15:06:25-03:00"
}
Response Body
  {
"wire_transfer_key": "13d680ef-4b72-4cb2-a63d-cf3d790abaaf",
"wire_transfer_status": "completed"
}

转账创建并分析后,将发送到清算中心进行处理。因此,需要在转账发送时通过以下端点通知转账状态更新:

PUT https://api.caas.qitech.app/wire_transfer/wire_transfer/{wire_transfer_id}

这样可以确保我们的数据库保持更新,并能够识别真正易受欺诈影响的转账。